<!--/*
    Copyright 2017 Adobe Systems Incorporated

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
*/-->
<sly data-sly-use.clientlib="core/wcm/components/commons/v1/templates/clientlib.html">
    <sly data-sly-call="${clientlib.css @ categories='aem-odissey.base'}"/>
</sly>

<!--/* Angular Base Path */-->
<base href="/etc.clientlibs/aem-odissey/clientlibs/clientlib-angular/resources/base" />
<!--/*
    SPA-specific meta tags
*/-->
<meta name="theme-color" content="#000000" />
<link rel="icon" href="/etc.clientlibs/aem-odissey/clientlibs/clientlib-angular/resources/favicon.ico" />
<link rel="apple-touch-icon" href="/etc.clientlibs/aem-odissey/clientlibs/clientlib-angular/resources/logo192.png" />
<link rel="manifest" href="/etc.clientlibs/aem-odissey/clientlibs/clientlib-angular/resources/manifest.json" />

<!-- AEM page model -->
<meta
    property="cq:pagemodel_root_url"
    data-sly-use.page="com.adobe.aem.spa.project.core.models.Page"
    content="${page.hierarchyRootJsonExportUrl}"
/>

<meta property="cq:datatype" data-sly-test="${wcmmode.edit || wcmmode.preview}" content="JSON" />
<meta property="cq:wcmmode" data-sly-test="${wcmmode.edit}" content="edit" />
<meta property="cq:wcmmode" data-sly-test="${wcmmode.preview}" content="preview" />
<!--/*
    There is currently no support for ContextHub in SPA projects:
    https://docs.adobe.com/content/help/en/experience-manager-64/developing/headless/spas/spa-overview.html#limitations
*/-->
